Реклама: Новые сервера Lineage 2
17

World of WarCraft → Mangos 6677 Black Edition

30 сентября 2008, 6732 просмотра, опубликовано в разделе World of WarCraftСервера
Информация:

ВНИМАНИЕ Если у вас мульти языковой клиент (в папке Data находятся папки enGB\enUS и ruRU) то для извлечения дбц используйте ad.exe (находится в архиве DBC Multilocale) или удалите лишние папки локализации оставив только ruRU.

Обратите внимание на параметр в mangosd.conf - RealmZone следует выставить значение 2 если пользуетесь клиентом enGB или enUS и значение 12 если у вас клиент ruRU.

При выполнении безопасного переноса тиблицы чаров учитывайте что этот способ расчитан на то что вы пользовались предыдущими моими сборками и качали их своевременно. Собственно не переживайте чаров вы не потеряете просто вам будет не хватать некоторых правок на базу, кому они понадобяться просим на форуме...

Сервер настроен под ip 127.0.0.1 и для Русского клиента

Для установки баз используйте Start.bat


P.S. Все пожелания о комплектации высказываем на нашем форуме :)
Ссылки на скачивание доступны для зарегистрированных пользователей.
  • 0
 (голосов: 0)

Информация

Посетители, находящиеся в группе Гости, не могут оставлять комментарии в данной новости.
#17
Ответил: Garkus (6 октября 2008 14:47)
В группе: Гости, зарегистрирован --
Аватар
Black Angel,

thx. заюзаем, отпишимся.


все форкает!
(а патч у меня все же русский. Може наоборот надо было евро ставить.)
#16
Ответил: Black Angel (6 октября 2008 12:48)
В группе: Гости, зарегистрирован --
Аватар
видимо ты перемудрил с патчами... был прикол такой что после русификации клиента качался инглиш патч вместо русского... хотя евро становится на русскую версию отлично и на работу самого клиента это как ни странно мало отражается (разве что перевод будет старый) вот помоему у тебя такая же петрушка получилась :)

P.S. Залил дбц скачать можно на нашем форуме
#15
Ответил: Garkus (5 октября 2008 23:48)
В группе: Гости, зарегистрирован --
Аватар

Black Angel,
это не панацея ))
вирусняка у меня нет. repair сканит все ок.
экстрактор вытягивает spell.dbc за 2.4.2 патч (почему-то?!?). может ты выложишь на закачку нужный, и мучениям конец??
#14
Ответил: rayco (5 октября 2008 19:31)
В группе: Гости, зарегистрирован --
Аватар
Black Angel,
вернулся снова к проблеме при запуске нового сервера, сделал как ты говорил, вытянул все новые компоненты под новый сервер, ошибка осталась прежней, не видит он карт, что делать
#13
Ответил: Black Angel (5 октября 2008 13:55)
В группе: Гости, зарегистрирован --
Аватар
тогда... проверь комп на вирусы и проверь клиент через repair.exe
#12
Ответил: Garkus (4 октября 2008 18:19)
В группе: Гости, зарегистрирован --
Аватар
Black Angel,

пробовал )), не помогло.

миксовал по всякому
#11
Ответил: Black Angel (3 октября 2008 22:46)
В группе: Гости, зарегистрирован --
Аватар
Если обычный все вытягивает то ad на мапах просто мусолит и больше ничего.

тебе мапы и не нужны, после извлечения дбц просто закрывай его и все
#10
Ответил: Garkus (3 октября 2008 20:39)
В группе: Гости, зарегистрирован --
Аватар
Black Angel,

wow русский оригинал. (патчил с 2.4.2 до 2.4.3. Ставил сервер на 2.4.2, все в порядке.)
Пробовал распаковывать обоими экстрак. Если обычный все вытягивает то ad на мапах просто мусолит и больше ничего.
ошибка на spell.dbc -> 25.1Mb, сколько должен весить нужный spell.dbc?
(в patch-ruRU-2.MPQ есть spell.dbc -> 25.6Mb, но он не подходит)
вопрос: Что делать? :) как быть?
#9
Ответил: Black Angel (2 октября 2008 16:00)
В группе: Гости, зарегистрирован --
Аватар
рус оригинал или пропатченный инглиш ? если оригинал то распаковывать обычным экстрактором, а если пропатченный то при помощи ad.exe
#8
Ответил: Garkus (2 октября 2008 10:56)
В группе: Гости, зарегистрирован --
Аватар
HI
поставил сервак. Распаковываю dbc, maps, vmaps. все замечательно. Запускаю, выдает ошибку:
"Some required *.dbc files (1 from 56) not found or not compatible: ./dbc/Spell.dbc (exist, but have 213 fields instead 216) Wrong client version DBC file?"
wowbc2.4.3 русс версия
в чем косяк?
#7
Ответил: Black Angel (1 октября 2008 20:43)
В группе: Гости, зарегистрирован --
Аватар
Подскажи каждый раз при новой сборке надо вытягивать новые dbc, maps, vmaps это как то неэтично

не каждый раз, но на текущей сборке обязательно, так как изменился движок для обработки мапов :)
#6
Ответил: rayco (1 октября 2008 15:16)
В группе: Гости, зарегистрирован --
Аватар
AloneAngel, пользуюсь вот этим, довольно все просто и быстро dumper.php

Black Angel, после заливки базы mangos и scriptdev2 без смены конфигов и *.dll, все запустилось нормально(но версию при запуске показало старую 6634), но когда сменил их выскочила ошибка что мои мапы вмапы неподходят или же путь к ним указан неправильно - откотился назад на 6634

Подскажи каждый раз при новой сборке надо вытягивать новые dbc, maps, vmaps это как то неэтично sad
#5
Ответил: Black Angel (1 октября 2008 03:04)
В группе: Гости, зарегистрирован --
Аватар
что то за прожка, ну в место Navicat для заливки баз?

эм... не совсем понял вопроса... именно для заливки или для дампа ? для заливки батник с обращением к MySQL для дампа тоже батник с обращением к MySQL wink
#4
Ответил: AloneAngel (1 октября 2008 00:48)
В группе: Гости, зарегистрирован --
Аватар
Black Angel скажи, а что то за прожка, ну в место Navicat для заливки баз?Мне просто название а я сам найду:)
#3
Ответил: rayco (30 сентября 2008 23:41)
В группе: Гости, зарегистрирован --
Аватар
спасибо попробую ночью когда все выйдут
#2
Ответил: Black Angel (30 сентября 2008 23:38)
В группе: Гости, зарегистрирован --
Аватар
апы нужны только если нужно обновить таблицу чаров не теряя созданных игроков (сейчас пустые так как просто нет обновлений на них) мангос и скрипты заменить и все
#1
Ответил: rayco (30 сентября 2008 23:08)
В группе: Гости, зарегистрирован --
Аватар
подскажи по своей зборке, файлы с окончание *up.sql используются для апгрейда баз чистые уже ненадо ставить, а mangos и scriptdev2 поменять поностью, я правильно понял?